#######################################################################
#Script Name: httpd-mpm.conf
#Version: 1.4
#Description: httpd-mpm conf for DA on Deb.
#Last Modify Date: 01132023
#Author:Brent Dacus
#Email:brent[at]thedacus[dot]net
########################################################################
<IfModule !mpm_netware_module>
    PidFile "/var/run/httpd.pid"
</IfModule>
<IfModule mpm_prefork_module>
    StartServers          5
    MinSpareServers       5
    MaxSpareServers      10
    ServerLimit	        450
    MaxRequestWorkers   450
    MaxConnectionsPerChild   10000
</IfModule>
<IfModule mpm_worker_module>
    StartServers             6
    MinSpareThreads         50
    MaxSpareThreads        150
    ThreadsPerChild         50
    MaxRequestWorkers      300
    MaxConnectionsPerChild   10000
</IfModule>
<IfModule mpm_event_module>
    StartServers             10
    MinSpareThreads          75
    MaxSpareThreads          225
    ServerLimit              150
    ThreadsPerChild          32
    MaxRequestWorkers        4800
    MaxConnectionsPerChild   10000
</IfModule>
<IfModule !mpm_netware_module>
    MaxMemFree            2048
</IfModule>
